# containers.podman.podman_secret_info module – Gather info about podman secrets

Note

This module is part of the containers.podman collection (version 1.20.0).

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install containers.podman`. You need further requirements to be able to use this module, see Requirements for details.

To use it in a playbook, specify: `containers.podman.podman_secret_info`.

## Synopsis

- Gather info about podman secrets with podman inspect command.

## Requirements

The below requirements are needed on the host that executes this module.

- Podman installed on host

## Parameters

Parameter | Comments
--- | ---
executable string | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman` Default: `"podman"`
name string | Name of the secret

showsecret

boolean

Show secret data value

Choices:

- `false` ← (default)

- `true`

## Examples

    - name: Gather info about all present secrets
      podman_secret_info:

    - name: Gather info about specific secret
      podman_secret_info:
        name: specific_secret

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Description
--- | ---
secrets list / elements=string | Facts from all or specified secrets Returned: always Sample: `[{"CreatedAt": "2024-01-28T20:32:08.31857841+02:00", "ID": "06068c676e9a7f1c7dc0da8dd", "Spec": {"Driver": {"Name": "file", "Options": {"path": "/home/user/.local/share/containers/storage/secrets/filedriver"}}, "Labels": {}, "Name": "secret_name"}, "UpdatedAt": "2024-01-28T20:32:08.31857841+02:00"}]`

### Authors

- Sagi Shnaidman (@sshnaidm)

### Collection links

- Issue Tracker
- Repository (Sources)